VARKON Version 1.16 1998-11-12

### hpcl5

VARKON plotter driver
Description
hpcl5 translates .PLT or .DXF format to the Hewlett Packard hpcl laserplotter format. hpcl5 reads from standard input and writes to standard output.
Syntax
hpcl5 -sS -wsL -xX -yY -vN -kK
Options preceded by a minus sign should be followed by their value without any separating blank spaces.
Options

-sS | - Set scale to S. Float value, default = 1.0
-wsL | - Set linewidthscale to L. Float value, default = S
-xX | - Set origin.x to X. Float value, default = 0.0
-yY | - Set origin.y to Y. Float value, default = 0.0
-vN | - Rotate n degrees. Float value, default = 0.0
-kK | - Set curve accuracy to K. Float value, default = 1.0

Examples
hpcl <plofile.PLT >plotfile.HP -s0.5
Scales the image in plotfile.PLT to half size and writes the result to a new file named "plotfile.HP" using the hpcl format.
hpcl5 <plofile.PLT -s0.5 | lp
Same as above but the result is sent to a spooled plotter.
hpcl5 <plofile.PLT -s0.5 >/dev/tty2
Same as above but result sent directly to a serial port.
Comments
hpcl5 automatically recognizes if the input is in .PLT or DXF format. The -k option only applies to DXF format.

hpcl5 does not support color.

Lines of variable width are supported through the WIDTH attribute. Penfiles are still supported but may not be in future releases. hpcl5 reads "$VARKON_PLT/hpcl5.PEN" when invoked to establish what dotsize (linewidth) the hardware uses. If this file is missing an errormessage is reported and no output is produced.

VARKON Homepage | Index